---
title: Установка Apache на Windows
slug: администрирование/установка-apache-на-windows
---
# 🛠 Установка Apache HTTP Server на Windows

Полная пошаговая инструкция по установке и настройке веб-сервера Apache на Windows.

---

## 📥 Шаг 1: Загрузка Apache

1. Перейдите на официальный сайт [Apache Lounge](https://www.apachelounge.com/download/).
2. Скачайте последнюю версию `httpd` для Windows (обычно архив `.zip`).
3. Рекомендуется скачивать версию с поддержкой `VC` (Visual C++), совместимую с вашей системой (например, VC15/VS16).

---

## 📦 Шаг 2: Распаковка архива

1. Распакуйте архив в удобную директорию, например:

```
C:\Apache24
```

2. Убедитесь, что структура папок содержит:

```
C:\Apache24\bin
C:\Apache24\conf
C:\Apache24\htdocs
...
```

---

## 🔧 Шаг 3: Установка Visual C++ Redistributable

Для запуска Apache требуется соответствующий **Visual C++ Redistributable**.

1. Перейдите на сайт Microsoft: https://learn.microsoft.com/en-us/cpp/windows/latest-supported-vc-redist
2. Скачайте и установите подходящий пакет (`x64` и/или `x86` в зависимости от вашей системы).

---

## ⚙️ Шаг 4: Первоначальная настройка

1. Перейдите в директорию `conf` и откройте `httpd.conf`.
2. Убедитесь, что в строке `ServerRoot` указан правильный путь:

```
ServerRoot "C:/Apache24"
```

3. Измените строку `DocumentRoot` на нужную папку, например:

```
DocumentRoot "C:/Apache24/htdocs"
<Directory "C:/Apache24/htdocs">
```

4. Установите `ServerName`:

```
ServerName localhost:80
```

---

## ▶️ Шаг 5: Запуск Apache вручную

Откройте командную строку от имени администратора и выполните:

```
cd C:\Apache24\bin
httpd.exe
```

Если всё настроено правильно, в браузере перейдите на [http://localhost](http://localhost) — должна отобразиться стартовая страница Apache.

---

## 🛠 Шаг 6: Установка Apache как службы Windows

1. Откройте командную строку от имени администратора.
2. Выполните команду:

```
httpd.exe -k install
```

3. После этого Apache появится в списке служб Windows. Его можно запускать и останавливать через `services.msc`.

---

## 🚫 Шаг 7: Устранение возможных ошибок

- **Порт 80 занят:** Измените порт в конфигурации `httpd.conf`:
  ```
  Listen 8080
  ```
  и перезапустите Apache.

- **Ошибки конфигурации:** Проверьте конфигурацию с помощью:
  ```
  httpd.exe -t
  ```

---

## ✅ Готово!

Теперь Apache установлен, работает как служба и готов обслуживать веб-сайты. Размещайте ваши HTML/PHP-файлы в папке `htdocs` или настройте виртуальные хосты.
