---
title: Схема запроса
slug: примеры-сниппеты-общее-запросы/схема-запроса
---

```bsl
    Схема = Новый СхемаЗапроса;
	
	// в схеме уже есть один пакет и один оператор
	ЗапросВыбора = Схема.ПакетЗапросов.Получить(0);
	ОператорВыбрать = ЗапросВыбора.Операторы.Получить(0);
	
	// Заполняем источники данных
	Если ТипЗнч(ВладелецФайла) = Тип("ДокументСсылка.УТЗ_ПЛ_ЗаявкаНаТранспорт") Тогда
		ИсточникДанных = ОператорВыбрать.Источники.Добавить(
			"Справочник.УТЗ_ПЛ_ЗаявкаНаТранспортПрисоединенныеФайлы", "ПрисоединенныеФайлы");
	ИначеЕсли ТипЗнч(ВладелецФайла) = Тип("ДокументСсылка.УТЗ_ПЛ_ПутевойЛист") Тогда
		ИсточникДанных = ОператорВыбрать.Источники.Добавить(
			"Справочник.УТЗ_ПЛ_ПутевыеЛистыПрисоединенныеФайлы", "ПрисоединенныеФайлы");
	Иначе
		ИсточныкДанных = Неопределено;
	КонецЕсли;
	
	// Выбираемые поля
	ОператорВыбрать.ВыбираемыеПоля.Добавить("ПрисоединенныеФайлы.Загрузил");
	ОператорВыбрать.ВыбираемыеПоля.Добавить("ПрисоединенныеФайлы.Размер");
	ОператорВыбрать.ВыбираемыеПоля.Добавить("ПрисоединенныеФайлы.Расширение");
	ОператорВыбрать.ВыбираемыеПоля.Добавить("ПрисоединенныеФайлы.ИмяФайла");
	ОператорВыбрать.ВыбираемыеПоля.Добавить("ПрисоединенныеФайлы.ВладелецФайла");
	ОператорВыбрать.ВыбираемыеПоля.Добавить("ПрисоединенныеФайлы.НомерВерсии");
	ОператорВыбрать.ВыбираемыеПоля.Добавить("ПрисоединенныеФайлы.ПутьКФайлуНаСервере");
	
	// Условия отбора
	ОператорВыбрать.Отбор.Добавить("ПрисоединенныеФайлы.ВладелецФайла = &ВладелецФайла");
	ОператорВыбрать.Отбор.Добавить("ПрисоединенныеФайлы.НомерВерсии = &НомерВерсии");
	
	Запрос = Новый Запрос;
	Запрос.Текст = ЗапросВыбора.ПолучитьТекстЗапроса();
	Запрос.УстановитьПараметр("ВладелецФайла", ВладелецФайла);
	Запрос.УстановитьПараметр("НомерВерсии", НомерФайла);
	
	Результат = Запрос.Выполнить();
	Если Результат.Пустой() Тогда
		Возврат Неопределено;
	КонецЕсли;
	
	Выборка = Результат.Выбрать();
```

Результат

```bsl
ВЫБРАТЬ
	ПрисоединенныеФайлы.Загрузил КАК Загрузил,
	ПрисоединенныеФайлы.Размер КАК Размер,
	ПрисоединенныеФайлы.Расширение КАК Расширение,
	ПрисоединенныеФайлы.ИмяФайла КАК ИмяФайла,
	ПрисоединенныеФайлы.ВладелецФайла КАК ВладелецФайла,
	ПрисоединенныеФайлы.НомерВерсии КАК НомерВерсии,
	ПрисоединенныеФайлы.ПутьКФайлуНаСервере КАК ПутьКФайлуНаСервере
ИЗ
	Справочник.УТЗ_ПЛ_ЗаявкаНаТранспортПрисоединенныеФайлы КАК ПрисоединенныеФайлы
ГДЕ
	ПрисоединенныеФайлы.ВладелецФайла = &ВладелецФайла
	И ПрисоединенныеФайлы.НомерВерсии = &НомерВерсии
```